import pandas as pd
import matplotlib.pyplot as plt


data = pd.read_csv("results.csv")


for maze_name in data["maze"].unique():

    maze_data = data[data["maze"] == maze_name]

    plt.figure()

    plt.bar(
        maze_data["strategy"],
        maze_data["time_ms"]
    )

    plt.title(f"{maze_name} maze")

    plt.ylabel("Time (ms)")

    plt.savefig(
        f"{maze_name}.png"
    )